#############################################################################
# Makefile for building ../bin/qmake
# Generated by tmake at 09:51, 2002/06/27
#     Project: qmake
#    Template: app
#############################################################################

####### Compiler, tools and options

CC	=	gcc
CXX	=	g++
CFLAGS	=	-pipe -Wall -W -O2 -DQT_NO_TEXTCODEC -DQT_LITE_COMPONENT -DQT_NODLL -DQT_NO_STL
CXXFLAGS=	-pipe -Wall -W -O2 -DQT_NO_TEXTCODEC -DQT_LITE_COMPONENT -DQT_NODLL -DQT_NO_STL
INCPATH	=	-I. -Igenerators -Igenerators/unix -Igenerators/win32 -Igenerators/mac -I../include -I../include/private -I../src/tools -I../mkspecs/linux-g++
LINK	=	g++
LFLAGS	=	
LIBS	=	$(SUBLIBS) 
MOC	=	$(QTDIR)/bin/moc
UIC	=	$(QTDIR)/bin/uic

TAR	=	tar -cf
GZIP	=	gzip -9f

####### Files

HEADERS =	generators/mac/metrowerks_xml.h \
		generators/mac/pbuilder_pbx.h \
		generators/makefile.h \
		generators/projectgenerator.h \
		generators/unix/unixmake.h \
		generators/win32/borland_bmake.h \
		generators/win32/msvc_dsp.h \
		generators/win32/msvc_nmake.h \
		generators/win32/winmakefile.h \
		option.h \
		project.h
SOURCES =	../src/tools/qtextstream.cpp \
		../src/tools/qiodevice.cpp \
		../src/tools/qglobal.cpp \
		../src/tools/qgdict.cpp \
		../src/tools/qcstring.cpp \
		../src/tools/qstring.cpp \
		../src/tools/qdatastream.cpp \
		../src/tools/qgarray.cpp \
		../src/tools/qbuffer.cpp \
		../src/tools/qglist.cpp \
		../src/tools/qptrcollection.cpp \
		../src/tools/qfile.cpp \
		../src/codecs/qtextcodec.cpp \
		../src/tools/qregexp.cpp \
		../src/tools/qgvector.cpp \
		../src/tools/qgcache.cpp \
		../src/tools/qbitarray.cpp \
		../src/tools/qdir.cpp \
		../src/tools/qfileinfo.cpp \
		../src/tools/qdatetime.cpp \
		../src/tools/qstringlist.cpp \
		../src/tools/qmap.cpp \
		generators/mac/metrowerks_xml.cpp \
		generators/mac/pbuilder_pbx.cpp \
		generators/makefile.cpp \
		generators/projectgenerator.cpp \
		generators/unix/unixmake.cpp \
		generators/unix/unixmake2.cpp \
		generators/win32/borland_bmake.cpp \
		generators/win32/msvc_dsp.cpp \
		generators/win32/msvc_nmake.cpp \
		generators/win32/winmakefile.cpp \
		main.cpp \
		option.cpp \
		project.cpp \
		../src/tools/qfile_unix.cpp \
		../src/tools/qdir_unix.cpp \
		../src/tools/qfileinfo_unix.cpp
OBJECTS =	.obj/qtextstream.o \
		.obj/qiodevice.o \
		.obj/qglobal.o \
		.obj/qgdict.o \
		.obj/qcstring.o \
		.obj/qstring.o \
		.obj/qdatastream.o \
		.obj/qgarray.o \
		.obj/qbuffer.o \
		.obj/qglist.o \
		.obj/qptrcollection.o \
		.obj/qfile.o \
		.obj/qtextcodec.o \
		.obj/qregexp.o \
		.obj/qgvector.o \
		.obj/qgcache.o \
		.obj/qbitarray.o \
		.obj/qdir.o \
		.obj/qfileinfo.o \
		.obj/qdatetime.o \
		.obj/qstringlist.o \
		.obj/qmap.o \
		.obj/metrowerks_xml.o \
		.obj/pbuilder_pbx.o \
		.obj/makefile.o \
		.obj/projectgenerator.o \
		.obj/unixmake.o \
		.obj/unixmake2.o \
		.obj/borland_bmake.o \
		.obj/msvc_dsp.o \
		.obj/msvc_nmake.o \
		.obj/winmakefile.o \
		.obj/main.o \
		.obj/option.o \
		.obj/project.o \
		.obj/qfile_unix.o \
		.obj/qdir_unix.o \
		.obj/qfileinfo_unix.o
INTERFACES =	
UICDECLS =	
UICIMPLS =	
SRCMOC	=	
OBJMOC	=	
DIST	=	
TARGET	=	../bin/qmake
INTERFACE_DECL_PATH = .

####### Implicit rules

.SUFFIXES: .cpp .cxx .cc .C .c

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules


all: $(TARGET)

$(TARGET): $(UICDECLS) $(OBJECTS) $(OBJMOC) 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(LIBS)

moc: $(SRCMOC)

tmake: Makefile

Makefile: qmake.pro
	tmake qmake.pro -o Makefile

dist:
	$(TAR) qmake.tar qmake.pro $(SOURCES) $(HEADERS) $(INTERFACES) $(DIST)
	$(GZIP) qmake.tar

clean:
	-rm -f $(OBJECTS) $(OBJMOC) $(SRCMOC) $(UICIMPLS) $(UICDECLS) $(TARGET)
	-rm -f *~ core

####### Sub-libraries


###### Combined headers


####### Compile

.obj/qtextstream.o: ../src/tools/qtextstream.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/qtextstream.o ../src/tools/qtextstream.cpp

.obj/qiodevice.o: ../src/tools/qiodevice.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/qiodevice.o ../src/tools/qiodevice.cpp

.obj/qglobal.o: ../src/tools/qglobal.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/qglobal.o ../src/tools/qglobal.cpp

.obj/qgdict.o: ../src/tools/qgdict.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/qgdict.o ../src/tools/qgdict.cpp

.obj/qcstring.o: ../src/tools/qcstring.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/qcstring.o ../src/tools/qcstring.cpp

.obj/qstring.o: ../src/tools/qstring.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/qstring.o ../src/tools/qstring.cpp

.obj/qdatastream.o: ../src/tools/qdatastream.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/qdatastream.o ../src/tools/qdatastream.cpp

.obj/qgarray.o: ../src/tools/qgarray.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/qgarray.o ../src/tools/qgarray.cpp

.obj/qbuffer.o: ../src/tools/qbuffer.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/qbuffer.o ../src/tools/qbuffer.cpp

.obj/qglist.o: ../src/tools/qglist.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/qglist.o ../src/tools/qglist.cpp

.obj/qptrcollection.o: ../src/tools/qptrcollection.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/qptrcollection.o ../src/tools/qptrcollection.cpp

.obj/qfile.o: ../src/tools/qfile.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/qfile.o ../src/tools/qfile.cpp

.obj/qtextcodec.o: ../src/codecs/qtextcodec.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/qtextcodec.o ../src/codecs/qtextcodec.cpp

.obj/qregexp.o: ../src/tools/qregexp.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/qregexp.o ../src/tools/qregexp.cpp

.obj/qgvector.o: ../src/tools/qgvector.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/qgvector.o ../src/tools/qgvector.cpp

.obj/qgcache.o: ../src/tools/qgcache.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/qgcache.o ../src/tools/qgcache.cpp

.obj/qbitarray.o: ../src/tools/qbitarray.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/qbitarray.o ../src/tools/qbitarray.cpp

.obj/qdir.o: ../src/tools/qdir.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/qdir.o ../src/tools/qdir.cpp

.obj/qfileinfo.o: ../src/tools/qfileinfo.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/qfileinfo.o ../src/tools/qfileinfo.cpp

.obj/qdatetime.o: ../src/tools/qdatetime.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/qdatetime.o ../src/tools/qdatetime.cpp

.obj/qstringlist.o: ../src/tools/qstringlist.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/qstringlist.o ../src/tools/qstringlist.cpp

.obj/qmap.o: ../src/tools/qmap.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/qmap.o ../src/tools/qmap.cpp

.obj/metrowerks_xml.o: generators/mac/metrowerks_xml.cpp \
		generators/mac/metrowerks_xml.h \
		option.h \
		project.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/metrowerks_xml.o generators/mac/metrowerks_xml.cpp

.obj/pbuilder_pbx.o: generators/mac/pbuilder_pbx.cpp \
		generators/mac/pbuilder_pbx.h \
		option.h \
		project.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/pbuilder_pbx.o generators/mac/pbuilder_pbx.cpp

.obj/makefile.o: generators/makefile.cpp \
		generators/makefile.h \
		option.h \
		project.h \
		generators/mac/metrowerks_xml.h \
		generators/mac/pbuilder_pbx.h \
		generators/projectgenerator.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/makefile.o generators/makefile.cpp

.obj/projectgenerator.o: generators/projectgenerator.cpp \
		generators/projectgenerator.h \
		generators/makefile.h \
		option.h \
		project.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/projectgenerator.o generators/projectgenerator.cpp

.obj/unixmake.o: generators/unix/unixmake.cpp \
		generators/unix/unixmake.h \
		generators/makefile.h \
		option.h \
		project.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/unixmake.o generators/unix/unixmake.cpp

.obj/unixmake2.o: generators/unix/unixmake2.cpp \
		generators/unix/unixmake.h \
		generators/makefile.h \
		option.h \
		project.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/unixmake2.o generators/unix/unixmake2.cpp

.obj/borland_bmake.o: generators/win32/borland_bmake.cpp \
		generators/win32/borland_bmake.h \
		generators/win32/winmakefile.h \
		generators/makefile.h \
		option.h \
		project.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/borland_bmake.o generators/win32/borland_bmake.cpp

.obj/msvc_dsp.o: generators/win32/msvc_dsp.cpp \
		generators/win32/msvc_dsp.h \
		generators/win32/winmakefile.h \
		generators/makefile.h \
		option.h \
		project.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/msvc_dsp.o generators/win32/msvc_dsp.cpp

.obj/msvc_nmake.o: generators/win32/msvc_nmake.cpp \
		generators/win32/msvc_nmake.h \
		generators/win32/winmakefile.h \
		generators/makefile.h \
		option.h \
		project.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/msvc_nmake.o generators/win32/msvc_nmake.cpp

.obj/winmakefile.o: generators/win32/winmakefile.cpp \
		generators/win32/winmakefile.h \
		generators/makefile.h \
		option.h \
		project.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/winmakefile.o generators/win32/winmakefile.cpp

.obj/main.o: main.cpp \
		project.h \
		option.h \
		generators/makefile.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/main.o main.cpp

.obj/option.o: option.cpp \
		option.h \
		project.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/option.o option.cpp

.obj/project.o: project.cpp \
		project.h \
		option.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/project.o project.cpp

.obj/qfile_unix.o: ../src/tools/qfile_unix.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/qfile_unix.o ../src/tools/qfile_unix.cpp

.obj/qdir_unix.o: ../src/tools/qdir_unix.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/qdir_unix.o ../src/tools/qdir_unix.cpp

.obj/qfileinfo_unix.o: ../src/tools/qfileinfo_unix.cpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/qfileinfo_unix.o ../src/tools/qfileinfo_unix.cpp

